#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private SniperIndicators.SniperExplosion[] cacheSniperExplosion;
		private SniperIndicators.SniperMultipleLevel[] cacheSniperMultipleLevel;
		private SniperIndicators.SniperSuperTrend[] cacheSniperSuperTrend;
		private SniperIndicators.SniperTrend[] cacheSniperTrend;
		private SniperIndicators.SniperVol[] cacheSniperVol;
		private LinRegSlopeSFX1978[] cacheLinRegSlopeSFX1978;
		private MovingAverageRibbon_Color1978[] cacheMovingAverageRibbon_Color1978;
		private VWAP81978[] cacheVWAP81978;
		private Wilder1978[] cacheWilder1978;
		private EMASlopeColor[] cacheEMASlopeColor;

		
		public SniperIndicators.SniperExplosion SniperExplosion(int fastma, int slowma)
		{
			return SniperExplosion(Input, fastma, slowma);
		}

		public SniperIndicators.SniperMultipleLevel SniperMultipleLevel(Brush premarketRegionColor, int premarketRegionOpacity, Brush initialBalanceRegionColor, int initialBalanceRegionOpacity)
		{
			return SniperMultipleLevel(Input, premarketRegionColor, premarketRegionOpacity, initialBalanceRegionColor, initialBalanceRegionOpacity);
		}

		public SniperIndicators.SniperSuperTrend SniperSuperTrend(Brush fiveTenLong, Brush fiveTenShort, Brush currentRainbowShort, Brush currentRainbowLong, Brush allThreeLong, Brush allThreeShort)
		{
			return SniperSuperTrend(Input, fiveTenLong, fiveTenShort, currentRainbowShort, currentRainbowLong, allThreeLong, allThreeShort);
		}

		public SniperIndicators.SniperTrend SniperTrend(int wMAHighValue, int wMALowValue, Brush dotColorBarandCloud, Brush dotColorBarOnly, bool useHTF1, bool useHTF2, bool useHTF3, bool useHTF4, int x2Trend, int x2BrickSize, int x3Trend, int x3BrickSize, int x4Trend, int x4BrickSize, int x5Trend, int x5BrickSize)
		{
			return SniperTrend(Input, wMAHighValue, wMALowValue, dotColorBarandCloud, dotColorBarOnly, useHTF1, useHTF2, useHTF3, useHTF4, x2Trend, x2BrickSize, x3Trend, x3BrickSize, x4Trend, x4BrickSize, x5Trend, x5BrickSize);
		}

		public SniperIndicators.SniperVol SniperVol(int volumeEmaAve, double dwWideSpread, double dwNarrowSpread, double dwHighClose, double dwLowClose, double dwUltraHighVol, double dwAboveAvgVol, bool banners, bool alertss, Brush bandAreaColor, bool colorBarToTrend, double bandAreaColorOpacity)
		{
			return SniperVol(Input, volumeEmaAve, dwWideSpread, dwNarrowSpread, dwHighClose, dwLowClose, dwUltraHighVol, dwAboveAvgVol, banners, alertss, bandAreaColor, colorBarToTrend, bandAreaColorOpacity);
		}

		public LinRegSlopeSFX1978 LinRegSlopeSFX1978(int period, bool exponential, int returnval)
		{
			return LinRegSlopeSFX1978(Input, period, exponential, returnval);
		}

		public MovingAverageRibbon_Color1978 MovingAverageRibbon_Color1978(RibbonMAType1978 movingAverage, int basePeriod, int incrementalPeriod, Brush upColor, Brush downColor)
		{
			return MovingAverageRibbon_Color1978(Input, movingAverage, basePeriod, incrementalPeriod, upColor, downColor);
		}

		public VWAP81978 VWAP81978()
		{
			return VWAP81978(Input);
		}

		public Wilder1978 Wilder1978(int period)
		{
			return Wilder1978(Input, period);
		}

		public EMASlopeColor EMASlopeColor(int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return EMASlopeColor(Input, period, upColor, dnColor, colorSlope);
		}


		
		public SniperIndicators.SniperExplosion SniperExplosion(ISeries<double> input, int fastma, int slowma)
		{
			if (cacheSniperExplosion != null)
				for (int idx = 0; idx < cacheSniperExplosion.Length; idx++)
					if (cacheSniperExplosion[idx].Fastma == fastma && cacheSniperExplosion[idx].Slowma == slowma && cacheSniperExplosion[idx].EqualsInput(input))
						return cacheSniperExplosion[idx];
			return CacheIndicator<SniperIndicators.SniperExplosion>(new SniperIndicators.SniperExplosion(){ Fastma = fastma, Slowma = slowma }, input, ref cacheSniperExplosion);
		}

		public SniperIndicators.SniperMultipleLevel SniperMultipleLevel(ISeries<double> input, Brush premarketRegionColor, int premarketRegionOpacity, Brush initialBalanceRegionColor, int initialBalanceRegionOpacity)
		{
			if (cacheSniperMultipleLevel != null)
				for (int idx = 0; idx < cacheSniperMultipleLevel.Length; idx++)
					if (cacheSniperMultipleLevel[idx].PremarketRegionColor == premarketRegionColor && cacheSniperMultipleLevel[idx].PremarketRegionOpacity == premarketRegionOpacity && cacheSniperMultipleLevel[idx].InitialBalanceRegionColor == initialBalanceRegionColor && cacheSniperMultipleLevel[idx].InitialBalanceRegionOpacity == initialBalanceRegionOpacity && cacheSniperMultipleLevel[idx].EqualsInput(input))
						return cacheSniperMultipleLevel[idx];
			return CacheIndicator<SniperIndicators.SniperMultipleLevel>(new SniperIndicators.SniperMultipleLevel(){ PremarketRegionColor = premarketRegionColor, PremarketRegionOpacity = premarketRegionOpacity, InitialBalanceRegionColor = initialBalanceRegionColor, InitialBalanceRegionOpacity = initialBalanceRegionOpacity }, input, ref cacheSniperMultipleLevel);
		}

		public SniperIndicators.SniperSuperTrend SniperSuperTrend(ISeries<double> input, Brush fiveTenLong, Brush fiveTenShort, Brush currentRainbowShort, Brush currentRainbowLong, Brush allThreeLong, Brush allThreeShort)
		{
			if (cacheSniperSuperTrend != null)
				for (int idx = 0; idx < cacheSniperSuperTrend.Length; idx++)
					if (cacheSniperSuperTrend[idx].FiveTenLong == fiveTenLong && cacheSniperSuperTrend[idx].FiveTenShort == fiveTenShort && cacheSniperSuperTrend[idx].CurrentRainbowShort == currentRainbowShort && cacheSniperSuperTrend[idx].CurrentRainbowLong == currentRainbowLong && cacheSniperSuperTrend[idx].AllThreeLong == allThreeLong && cacheSniperSuperTrend[idx].AllThreeShort == allThreeShort && cacheSniperSuperTrend[idx].EqualsInput(input))
						return cacheSniperSuperTrend[idx];
			return CacheIndicator<SniperIndicators.SniperSuperTrend>(new SniperIndicators.SniperSuperTrend(){ FiveTenLong = fiveTenLong, FiveTenShort = fiveTenShort, CurrentRainbowShort = currentRainbowShort, CurrentRainbowLong = currentRainbowLong, AllThreeLong = allThreeLong, AllThreeShort = allThreeShort }, input, ref cacheSniperSuperTrend);
		}

		public SniperIndicators.SniperTrend SniperTrend(ISeries<double> input, int wMAHighValue, int wMALowValue, Brush dotColorBarandCloud, Brush dotColorBarOnly, bool useHTF1, bool useHTF2, bool useHTF3, bool useHTF4, int x2Trend, int x2BrickSize, int x3Trend, int x3BrickSize, int x4Trend, int x4BrickSize, int x5Trend, int x5BrickSize)
		{
			if (cacheSniperTrend != null)
				for (int idx = 0; idx < cacheSniperTrend.Length; idx++)
					if (cacheSniperTrend[idx].WMAHighValue == wMAHighValue && cacheSniperTrend[idx].WMALowValue == wMALowValue && cacheSniperTrend[idx].DotColorBarandCloud == dotColorBarandCloud && cacheSniperTrend[idx].DotColorBarOnly == dotColorBarOnly && cacheSniperTrend[idx].UseHTF1 == useHTF1 && cacheSniperTrend[idx].UseHTF2 == useHTF2 && cacheSniperTrend[idx].UseHTF3 == useHTF3 && cacheSniperTrend[idx].UseHTF4 == useHTF4 && cacheSniperTrend[idx].x2Trend == x2Trend && cacheSniperTrend[idx].x2BrickSize == x2BrickSize && cacheSniperTrend[idx].x3Trend == x3Trend && cacheSniperTrend[idx].x3BrickSize == x3BrickSize && cacheSniperTrend[idx].x4Trend == x4Trend && cacheSniperTrend[idx].x4BrickSize == x4BrickSize && cacheSniperTrend[idx].x5Trend == x5Trend && cacheSniperTrend[idx].x5BrickSize == x5BrickSize && cacheSniperTrend[idx].EqualsInput(input))
						return cacheSniperTrend[idx];
			return CacheIndicator<SniperIndicators.SniperTrend>(new SniperIndicators.SniperTrend(){ WMAHighValue = wMAHighValue, WMALowValue = wMALowValue, DotColorBarandCloud = dotColorBarandCloud, DotColorBarOnly = dotColorBarOnly, UseHTF1 = useHTF1, UseHTF2 = useHTF2, UseHTF3 = useHTF3, UseHTF4 = useHTF4, x2Trend = x2Trend, x2BrickSize = x2BrickSize, x3Trend = x3Trend, x3BrickSize = x3BrickSize, x4Trend = x4Trend, x4BrickSize = x4BrickSize, x5Trend = x5Trend, x5BrickSize = x5BrickSize }, input, ref cacheSniperTrend);
		}

		public SniperIndicators.SniperVol SniperVol(ISeries<double> input, int volumeEmaAve, double dwWideSpread, double dwNarrowSpread, double dwHighClose, double dwLowClose, double dwUltraHighVol, double dwAboveAvgVol, bool banners, bool alertss, Brush bandAreaColor, bool colorBarToTrend, double bandAreaColorOpacity)
		{
			if (cacheSniperVol != null)
				for (int idx = 0; idx < cacheSniperVol.Length; idx++)
					if (cacheSniperVol[idx].VolumeEmaAve == volumeEmaAve && cacheSniperVol[idx].DwWideSpread == dwWideSpread && cacheSniperVol[idx].DwNarrowSpread == dwNarrowSpread && cacheSniperVol[idx].DwHighClose == dwHighClose && cacheSniperVol[idx].DwLowClose == dwLowClose && cacheSniperVol[idx].DwUltraHighVol == dwUltraHighVol && cacheSniperVol[idx].DwAboveAvgVol == dwAboveAvgVol && cacheSniperVol[idx].Banners == banners && cacheSniperVol[idx].Alertss == alertss && cacheSniperVol[idx].BandAreaColor == bandAreaColor && cacheSniperVol[idx].ColorBarToTrend == colorBarToTrend && cacheSniperVol[idx].BandAreaColorOpacity == bandAreaColorOpacity && cacheSniperVol[idx].EqualsInput(input))
						return cacheSniperVol[idx];
			return CacheIndicator<SniperIndicators.SniperVol>(new SniperIndicators.SniperVol(){ VolumeEmaAve = volumeEmaAve, DwWideSpread = dwWideSpread, DwNarrowSpread = dwNarrowSpread, DwHighClose = dwHighClose, DwLowClose = dwLowClose, DwUltraHighVol = dwUltraHighVol, DwAboveAvgVol = dwAboveAvgVol, Banners = banners, Alertss = alertss, BandAreaColor = bandAreaColor, ColorBarToTrend = colorBarToTrend, BandAreaColorOpacity = bandAreaColorOpacity }, input, ref cacheSniperVol);
		}

		public LinRegSlopeSFX1978 LinRegSlopeSFX1978(ISeries<double> input, int period, bool exponential, int returnval)
		{
			if (cacheLinRegSlopeSFX1978 != null)
				for (int idx = 0; idx < cacheLinRegSlopeSFX1978.Length; idx++)
					if (cacheLinRegSlopeSFX1978[idx].Period == period && cacheLinRegSlopeSFX1978[idx].Exponential == exponential && cacheLinRegSlopeSFX1978[idx].Returnval == returnval && cacheLinRegSlopeSFX1978[idx].EqualsInput(input))
						return cacheLinRegSlopeSFX1978[idx];
			return CacheIndicator<LinRegSlopeSFX1978>(new LinRegSlopeSFX1978(){ Period = period, Exponential = exponential, Returnval = returnval }, input, ref cacheLinRegSlopeSFX1978);
		}

		public MovingAverageRibbon_Color1978 MovingAverageRibbon_Color1978(ISeries<double> input, RibbonMAType1978 movingAverage, int basePeriod, int incrementalPeriod, Brush upColor, Brush downColor)
		{
			if (cacheMovingAverageRibbon_Color1978 != null)
				for (int idx = 0; idx < cacheMovingAverageRibbon_Color1978.Length; idx++)
					if (cacheMovingAverageRibbon_Color1978[idx].MovingAverage == movingAverage && cacheMovingAverageRibbon_Color1978[idx].BasePeriod == basePeriod && cacheMovingAverageRibbon_Color1978[idx].IncrementalPeriod == incrementalPeriod && cacheMovingAverageRibbon_Color1978[idx].UpColor == upColor && cacheMovingAverageRibbon_Color1978[idx].DownColor == downColor && cacheMovingAverageRibbon_Color1978[idx].EqualsInput(input))
						return cacheMovingAverageRibbon_Color1978[idx];
			return CacheIndicator<MovingAverageRibbon_Color1978>(new MovingAverageRibbon_Color1978(){ MovingAverage = movingAverage, BasePeriod = basePeriod, IncrementalPeriod = incrementalPeriod, UpColor = upColor, DownColor = downColor }, input, ref cacheMovingAverageRibbon_Color1978);
		}

		public VWAP81978 VWAP81978(ISeries<double> input)
		{
			if (cacheVWAP81978 != null)
				for (int idx = 0; idx < cacheVWAP81978.Length; idx++)
					if ( cacheVWAP81978[idx].EqualsInput(input))
						return cacheVWAP81978[idx];
			return CacheIndicator<VWAP81978>(new VWAP81978(), input, ref cacheVWAP81978);
		}

		public Wilder1978 Wilder1978(ISeries<double> input, int period)
		{
			if (cacheWilder1978 != null)
				for (int idx = 0; idx < cacheWilder1978.Length; idx++)
					if (cacheWilder1978[idx].Period == period && cacheWilder1978[idx].EqualsInput(input))
						return cacheWilder1978[idx];
			return CacheIndicator<Wilder1978>(new Wilder1978(){ Period = period }, input, ref cacheWilder1978);
		}

		public EMASlopeColor EMASlopeColor(ISeries<double> input, int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			if (cacheEMASlopeColor != null)
				for (int idx = 0; idx < cacheEMASlopeColor.Length; idx++)
					if (cacheEMASlopeColor[idx].Period == period && cacheEMASlopeColor[idx].UpColor == upColor && cacheEMASlopeColor[idx].DnColor == dnColor && cacheEMASlopeColor[idx].ColorSlope == colorSlope && cacheEMASlopeColor[idx].EqualsInput(input))
						return cacheEMASlopeColor[idx];
			return CacheIndicator<EMASlopeColor>(new EMASlopeColor(){ Period = period, UpColor = upColor, DnColor = dnColor, ColorSlope = colorSlope }, input, ref cacheEMASlopeColor);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.SniperIndicators.SniperExplosion SniperExplosion(int fastma, int slowma)
		{
			return indicator.SniperExplosion(Input, fastma, slowma);
		}

		public Indicators.SniperIndicators.SniperMultipleLevel SniperMultipleLevel(Brush premarketRegionColor, int premarketRegionOpacity, Brush initialBalanceRegionColor, int initialBalanceRegionOpacity)
		{
			return indicator.SniperMultipleLevel(Input, premarketRegionColor, premarketRegionOpacity, initialBalanceRegionColor, initialBalanceRegionOpacity);
		}

		public Indicators.SniperIndicators.SniperSuperTrend SniperSuperTrend(Brush fiveTenLong, Brush fiveTenShort, Brush currentRainbowShort, Brush currentRainbowLong, Brush allThreeLong, Brush allThreeShort)
		{
			return indicator.SniperSuperTrend(Input, fiveTenLong, fiveTenShort, currentRainbowShort, currentRainbowLong, allThreeLong, allThreeShort);
		}

		public Indicators.SniperIndicators.SniperTrend SniperTrend(int wMAHighValue, int wMALowValue, Brush dotColorBarandCloud, Brush dotColorBarOnly, bool useHTF1, bool useHTF2, bool useHTF3, bool useHTF4, int x2Trend, int x2BrickSize, int x3Trend, int x3BrickSize, int x4Trend, int x4BrickSize, int x5Trend, int x5BrickSize)
		{
			return indicator.SniperTrend(Input, wMAHighValue, wMALowValue, dotColorBarandCloud, dotColorBarOnly, useHTF1, useHTF2, useHTF3, useHTF4, x2Trend, x2BrickSize, x3Trend, x3BrickSize, x4Trend, x4BrickSize, x5Trend, x5BrickSize);
		}

		public Indicators.SniperIndicators.SniperVol SniperVol(int volumeEmaAve, double dwWideSpread, double dwNarrowSpread, double dwHighClose, double dwLowClose, double dwUltraHighVol, double dwAboveAvgVol, bool banners, bool alertss, Brush bandAreaColor, bool colorBarToTrend, double bandAreaColorOpacity)
		{
			return indicator.SniperVol(Input, volumeEmaAve, dwWideSpread, dwNarrowSpread, dwHighClose, dwLowClose, dwUltraHighVol, dwAboveAvgVol, banners, alertss, bandAreaColor, colorBarToTrend, bandAreaColorOpacity);
		}

		public Indicators.LinRegSlopeSFX1978 LinRegSlopeSFX1978(int period, bool exponential, int returnval)
		{
			return indicator.LinRegSlopeSFX1978(Input, period, exponential, returnval);
		}

		public Indicators.MovingAverageRibbon_Color1978 MovingAverageRibbon_Color1978(RibbonMAType1978 movingAverage, int basePeriod, int incrementalPeriod, Brush upColor, Brush downColor)
		{
			return indicator.MovingAverageRibbon_Color1978(Input, movingAverage, basePeriod, incrementalPeriod, upColor, downColor);
		}

		public Indicators.VWAP81978 VWAP81978()
		{
			return indicator.VWAP81978(Input);
		}

		public Indicators.Wilder1978 Wilder1978(int period)
		{
			return indicator.Wilder1978(Input, period);
		}

		public Indicators.EMASlopeColor EMASlopeColor(int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(Input, period, upColor, dnColor, colorSlope);
		}


		
		public Indicators.SniperIndicators.SniperExplosion SniperExplosion(ISeries<double> input , int fastma, int slowma)
		{
			return indicator.SniperExplosion(input, fastma, slowma);
		}

		public Indicators.SniperIndicators.SniperMultipleLevel SniperMultipleLevel(ISeries<double> input , Brush premarketRegionColor, int premarketRegionOpacity, Brush initialBalanceRegionColor, int initialBalanceRegionOpacity)
		{
			return indicator.SniperMultipleLevel(input, premarketRegionColor, premarketRegionOpacity, initialBalanceRegionColor, initialBalanceRegionOpacity);
		}

		public Indicators.SniperIndicators.SniperSuperTrend SniperSuperTrend(ISeries<double> input , Brush fiveTenLong, Brush fiveTenShort, Brush currentRainbowShort, Brush currentRainbowLong, Brush allThreeLong, Brush allThreeShort)
		{
			return indicator.SniperSuperTrend(input, fiveTenLong, fiveTenShort, currentRainbowShort, currentRainbowLong, allThreeLong, allThreeShort);
		}

		public Indicators.SniperIndicators.SniperTrend SniperTrend(ISeries<double> input , int wMAHighValue, int wMALowValue, Brush dotColorBarandCloud, Brush dotColorBarOnly, bool useHTF1, bool useHTF2, bool useHTF3, bool useHTF4, int x2Trend, int x2BrickSize, int x3Trend, int x3BrickSize, int x4Trend, int x4BrickSize, int x5Trend, int x5BrickSize)
		{
			return indicator.SniperTrend(input, wMAHighValue, wMALowValue, dotColorBarandCloud, dotColorBarOnly, useHTF1, useHTF2, useHTF3, useHTF4, x2Trend, x2BrickSize, x3Trend, x3BrickSize, x4Trend, x4BrickSize, x5Trend, x5BrickSize);
		}

		public Indicators.SniperIndicators.SniperVol SniperVol(ISeries<double> input , int volumeEmaAve, double dwWideSpread, double dwNarrowSpread, double dwHighClose, double dwLowClose, double dwUltraHighVol, double dwAboveAvgVol, bool banners, bool alertss, Brush bandAreaColor, bool colorBarToTrend, double bandAreaColorOpacity)
		{
			return indicator.SniperVol(input, volumeEmaAve, dwWideSpread, dwNarrowSpread, dwHighClose, dwLowClose, dwUltraHighVol, dwAboveAvgVol, banners, alertss, bandAreaColor, colorBarToTrend, bandAreaColorOpacity);
		}

		public Indicators.LinRegSlopeSFX1978 LinRegSlopeSFX1978(ISeries<double> input , int period, bool exponential, int returnval)
		{
			return indicator.LinRegSlopeSFX1978(input, period, exponential, returnval);
		}

		public Indicators.MovingAverageRibbon_Color1978 MovingAverageRibbon_Color1978(ISeries<double> input , RibbonMAType1978 movingAverage, int basePeriod, int incrementalPeriod, Brush upColor, Brush downColor)
		{
			return indicator.MovingAverageRibbon_Color1978(input, movingAverage, basePeriod, incrementalPeriod, upColor, downColor);
		}

		public Indicators.VWAP81978 VWAP81978(ISeries<double> input )
		{
			return indicator.VWAP81978(input);
		}

		public Indicators.Wilder1978 Wilder1978(ISeries<double> input , int period)
		{
			return indicator.Wilder1978(input, period);
		}

		public Indicators.EMASlopeColor EMASlopeColor(ISeries<double> input , int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(input, period, upColor, dnColor, colorSlope);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.SniperIndicators.SniperExplosion SniperExplosion(int fastma, int slowma)
		{
			return indicator.SniperExplosion(Input, fastma, slowma);
		}

		public Indicators.SniperIndicators.SniperMultipleLevel SniperMultipleLevel(Brush premarketRegionColor, int premarketRegionOpacity, Brush initialBalanceRegionColor, int initialBalanceRegionOpacity)
		{
			return indicator.SniperMultipleLevel(Input, premarketRegionColor, premarketRegionOpacity, initialBalanceRegionColor, initialBalanceRegionOpacity);
		}

		public Indicators.SniperIndicators.SniperSuperTrend SniperSuperTrend(Brush fiveTenLong, Brush fiveTenShort, Brush currentRainbowShort, Brush currentRainbowLong, Brush allThreeLong, Brush allThreeShort)
		{
			return indicator.SniperSuperTrend(Input, fiveTenLong, fiveTenShort, currentRainbowShort, currentRainbowLong, allThreeLong, allThreeShort);
		}

		public Indicators.SniperIndicators.SniperTrend SniperTrend(int wMAHighValue, int wMALowValue, Brush dotColorBarandCloud, Brush dotColorBarOnly, bool useHTF1, bool useHTF2, bool useHTF3, bool useHTF4, int x2Trend, int x2BrickSize, int x3Trend, int x3BrickSize, int x4Trend, int x4BrickSize, int x5Trend, int x5BrickSize)
		{
			return indicator.SniperTrend(Input, wMAHighValue, wMALowValue, dotColorBarandCloud, dotColorBarOnly, useHTF1, useHTF2, useHTF3, useHTF4, x2Trend, x2BrickSize, x3Trend, x3BrickSize, x4Trend, x4BrickSize, x5Trend, x5BrickSize);
		}

		public Indicators.SniperIndicators.SniperVol SniperVol(int volumeEmaAve, double dwWideSpread, double dwNarrowSpread, double dwHighClose, double dwLowClose, double dwUltraHighVol, double dwAboveAvgVol, bool banners, bool alertss, Brush bandAreaColor, bool colorBarToTrend, double bandAreaColorOpacity)
		{
			return indicator.SniperVol(Input, volumeEmaAve, dwWideSpread, dwNarrowSpread, dwHighClose, dwLowClose, dwUltraHighVol, dwAboveAvgVol, banners, alertss, bandAreaColor, colorBarToTrend, bandAreaColorOpacity);
		}

		public Indicators.LinRegSlopeSFX1978 LinRegSlopeSFX1978(int period, bool exponential, int returnval)
		{
			return indicator.LinRegSlopeSFX1978(Input, period, exponential, returnval);
		}

		public Indicators.MovingAverageRibbon_Color1978 MovingAverageRibbon_Color1978(RibbonMAType1978 movingAverage, int basePeriod, int incrementalPeriod, Brush upColor, Brush downColor)
		{
			return indicator.MovingAverageRibbon_Color1978(Input, movingAverage, basePeriod, incrementalPeriod, upColor, downColor);
		}

		public Indicators.VWAP81978 VWAP81978()
		{
			return indicator.VWAP81978(Input);
		}

		public Indicators.Wilder1978 Wilder1978(int period)
		{
			return indicator.Wilder1978(Input, period);
		}

		public Indicators.EMASlopeColor EMASlopeColor(int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(Input, period, upColor, dnColor, colorSlope);
		}


		
		public Indicators.SniperIndicators.SniperExplosion SniperExplosion(ISeries<double> input , int fastma, int slowma)
		{
			return indicator.SniperExplosion(input, fastma, slowma);
		}

		public Indicators.SniperIndicators.SniperMultipleLevel SniperMultipleLevel(ISeries<double> input , Brush premarketRegionColor, int premarketRegionOpacity, Brush initialBalanceRegionColor, int initialBalanceRegionOpacity)
		{
			return indicator.SniperMultipleLevel(input, premarketRegionColor, premarketRegionOpacity, initialBalanceRegionColor, initialBalanceRegionOpacity);
		}

		public Indicators.SniperIndicators.SniperSuperTrend SniperSuperTrend(ISeries<double> input , Brush fiveTenLong, Brush fiveTenShort, Brush currentRainbowShort, Brush currentRainbowLong, Brush allThreeLong, Brush allThreeShort)
		{
			return indicator.SniperSuperTrend(input, fiveTenLong, fiveTenShort, currentRainbowShort, currentRainbowLong, allThreeLong, allThreeShort);
		}

		public Indicators.SniperIndicators.SniperTrend SniperTrend(ISeries<double> input , int wMAHighValue, int wMALowValue, Brush dotColorBarandCloud, Brush dotColorBarOnly, bool useHTF1, bool useHTF2, bool useHTF3, bool useHTF4, int x2Trend, int x2BrickSize, int x3Trend, int x3BrickSize, int x4Trend, int x4BrickSize, int x5Trend, int x5BrickSize)
		{
			return indicator.SniperTrend(input, wMAHighValue, wMALowValue, dotColorBarandCloud, dotColorBarOnly, useHTF1, useHTF2, useHTF3, useHTF4, x2Trend, x2BrickSize, x3Trend, x3BrickSize, x4Trend, x4BrickSize, x5Trend, x5BrickSize);
		}

		public Indicators.SniperIndicators.SniperVol SniperVol(ISeries<double> input , int volumeEmaAve, double dwWideSpread, double dwNarrowSpread, double dwHighClose, double dwLowClose, double dwUltraHighVol, double dwAboveAvgVol, bool banners, bool alertss, Brush bandAreaColor, bool colorBarToTrend, double bandAreaColorOpacity)
		{
			return indicator.SniperVol(input, volumeEmaAve, dwWideSpread, dwNarrowSpread, dwHighClose, dwLowClose, dwUltraHighVol, dwAboveAvgVol, banners, alertss, bandAreaColor, colorBarToTrend, bandAreaColorOpacity);
		}

		public Indicators.LinRegSlopeSFX1978 LinRegSlopeSFX1978(ISeries<double> input , int period, bool exponential, int returnval)
		{
			return indicator.LinRegSlopeSFX1978(input, period, exponential, returnval);
		}

		public Indicators.MovingAverageRibbon_Color1978 MovingAverageRibbon_Color1978(ISeries<double> input , RibbonMAType1978 movingAverage, int basePeriod, int incrementalPeriod, Brush upColor, Brush downColor)
		{
			return indicator.MovingAverageRibbon_Color1978(input, movingAverage, basePeriod, incrementalPeriod, upColor, downColor);
		}

		public Indicators.VWAP81978 VWAP81978(ISeries<double> input )
		{
			return indicator.VWAP81978(input);
		}

		public Indicators.Wilder1978 Wilder1978(ISeries<double> input , int period)
		{
			return indicator.Wilder1978(input, period);
		}

		public Indicators.EMASlopeColor EMASlopeColor(ISeries<double> input , int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(input, period, upColor, dnColor, colorSlope);
		}

	}
}

#endregion
